cysignals (1.11.2+ds-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 17 Mar 2023 09:28:03 +0000

cysignals (1.11.2+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, update;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change);
      - X-Python3-Version, drop;
    - d/copyright:
      - copyright year-tuples, update;
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 27 Nov 2022 18:56:37 +0000

cysignals (1.11.2+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/patches/*, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Dec 2021 21:35:13 +0000

cysignals (1.10.2+ds-7) unstable; urgency=medium

  * FTBFS fix release (Closes: #997453), light refresh.
  * Debianization:
    - d/control:
      - Build-Depends-Indep field, add tex-gyre;
      - Standards-Version, bump to 4.6.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Nov 2021 09:24:51 +0000

cysignals (1.10.2+ds-6) unstable; urgency=medium

  [ Jerome Benoit ]
  * Update Copyright year tuples in d/copyright
  * Bump Standards Version to version 4.5.1 (no change)
  * Update d/debianization.patch

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #983375)
    - Declaratively request dh addons.
    - Demote sphinx dependencies to B-D-I.
    - Drop unused texlive-plain-generic.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Feb 2021 18:44:41 +0000

cysignals (1.10.2+ds-5) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/*.lintian-overrides: discard
  * d/u/metadata, introduce

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Nov 2020 22:50:46 +0000

cysignals (1.10.2+ds-4) unstable; urgency=medium

  [ Julien Puydt ]
  * Mark the -doc package M-A: foreign following hinter.
  * Bump std-vers to 4.5.0.

  [ Jerome Benoit ]
  * Explicitly python3 shebang for cysignals-CSI (Closes: #952309).
  * Rules-Requires-Root set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Mar 2020 20:01:51 +0000

cysignals (1.10.2+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends-Indep field, Python3 docutils (Closes: #936362);
    - debian/copyright:
      - year tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 23 Jan 2020 16:15:36 +0000

cysignals (1.10.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Dec 2019 07:33:10 +0000

cysignals (1.10.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 01 Nov 2019 17:30:23 +0000

cysignals (1.8.1+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jerome Benoit ]
  * Python2 removal (Closes: #936362).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 09:15:33 +0000

cysignals (1.8.1+ds-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Jerome Benoit ]
  * Migrate to  texlive-plain-generic (Closes: #933282).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 05 Aug 2019 05:34:17 +0000

cysignals (1.8.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Jan 2019 10:20:34 +0000

cysignals (1.8.1+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/{copyright,/adhoc/examples/example/Makefile}:
      - Copyright year tuple, update;
    - debian/control:
      - debhelper, bump to 12;
      - Standards-Version, bump to 4.3.0 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-tests-python37.patch, no more needed;
      - d/p/upstream-autotoolization-harden-pari_gp.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 10 Jan 2019 18:23:41 +0000

cysignals (1.7.2+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Jerome Benoit ]
  * Apply upstream patch `Fix-tests-on-Python-3.7' (Closes: #915220)
  * Upload to unstable

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Dec 2018 07:41:26 +0000

cysignals (1.7.2+ds-1) experimental; urgency=medium

  * New minor upstream version.
  * Debianization:
    - debian/control:
      - cython dependencies, bump to version 0.28;
      - Standards-Version, bump to 4.2.1 (no change);
        - Multi-Arch fields, discard;
    - debian/patches/* , refresh;
    - debian/rules:
      - DEB_BUILD_MAINT_OPTIONS, set to hardening=+all;
    - debian/tests:
      - d/t/control:
        - Depends fields, replace pythonX-distutils with pythonX-setuptools;
        - Depends fields {4,8}, add libpari-dev;
    - debian/cysignals-tools.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 02 Nov 2018 06:37:11 +0000

cysignals (1.6.7+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Aug 2018 05:38:24 +0000

cysignals (1.6.7+ds-3) unstable; urgency=medium

  * RC bug fix release (Closes: #905292):
    - debian/control:
      - Build-Depends field, add python3-distutils;
      - cysignals-tools Package, Depends field, add python3-distutils.
  * Debianization:
    - debian/control:
      - Standards-Version, bump to 4.2.0 (no change);
    - debian/patches/*:
      d/p/upstream-autotoolization_pytoolization-harden-build_directory.patch ,
        clean up.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 10 Aug 2018 18:54:19 +0000

cysignals (1.6.7+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/control: Bump X-Python3-Version field to 3.6
  * d/control: Bump Standards-Version to 4.1.4 (remove get-orig-source target)
  * d/control: Build-Depends field: libpythonX-dev to libpythonX-all-dev
  * d/t/control: Depends field {7,8}: Add python3-distutils (Closes: #897386)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 03 Jul 2018 17:10:47 +0000

cysignals (1.6.7+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - debian/tests/*, harden;
    - debian/source/lintian-overrides, refresh;
    - debian/patches/u-a_p-harden-build_directory.patch, typo fix.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 11:48:16 +0000

cysignals (1.6.6+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 10:43:46 +0000

cysignals (1.6.6+ds-3) unstable; urgency=medium

  * Upload to unstable (Closes: #888606).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Jan 2018 17:05:11 +0000

cysignals (1.6.6+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/tests/*, complete.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 06:57:44 +0000

cysignals (1.6.6+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - add Python 3 support (Closes: #874179);
    - debian/copyright:
      - format URI, secure;
      - copyright year tuple, update;
    - debian/watch, harden (see d/rules);
    - debian/control:
      - debhelper, bump to 11;
      - Standards-Version, bump to 4.1.3;
      - Build-Depends, refresh;
    - debian/rules:
      - get-orig-source target, move compression option to d/watch;
      - .PHONY target, discard (as it appears to parasite dh);
    - debian/tests/*:
      - refresh (doctest check not ported to python3).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jan 2018 12:56:27 +0000

cysignals (1.6.5+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends-Indep field, add latexmk (Closes: #872171).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 18 Aug 2017 11:59:19 +0000

cysignals (1.6.5+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Debianization:
    - debian/rules, use pkg-info.mk ;
    - debian/control:
      - python-cysignals-pari package, introduce Breaks field against sagemath;
      - Standards Version, bump to 4.0.0 (no change);
    - debian/patches/*:
      - d/p/upstream-lintian-spelling-error-silence.patch, introduce;
      - refresh;
    - debian/tests/*:
      - d/t/check, manage doctest separately to use rundoctests.py ;
    - debian/adhoc/examples/doctest/Makefile, discard (see d/t/check);
    - doctest examples, no distributed as examples.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Jul 2017 13:01:38 +0000

cysignals (1.6.4+ds-1) experimental; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright, update;
    - debian/control, refresh;
    - debian/patches/*, refresh;
    - debian/python-cysignals-(bare|pari).pyinstall, ignore egg-info;
    - debian/tests/*:
      - d/t/controls:
        - tests 3, 4: allow-stderr to work around C/C+ mismatch warnings;
      - d/t/check, add [--]keep-going option to make ;
    - debian/adhoc/examples/example/Makefile, migrate from C to C++;
    - debian/adhoc/examples/doctest/Makefile, harden;
    - debian/clean, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Jun 2017 07:17:54 +0000

cysignals (1.3.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 16:52:56 +0000

cysignals (1.3.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - Build-Depends field, adjust libpari-dev version;
      - Depends field for pari flavour, remove libpari-dev;
    - debian/rules, harden;
    - debian/patches/*, harden and refresh;
    - debian/tests/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Nov 2016 04:55:09 +0000

cysignals (1.2.0+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * Debianization:
    - pkg.cysignals.pari build-profile machinery, discard;
    - debian/control:
      - Depends field for pari flavour, add libpari-dev;
      - Multi-Arch field, add;
    - debian/rules:
      - reproducible, harden;
   - debian/README.source, discard as it is now obsolete.

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Nov 2016 12:46:48 +0100

cysignals (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-documentation-make-user_friendly_check-soften.patch,
        discard;
    - debian/control, harden;
    - debian/rules:
      - unconditional use of --with sphinxdoc;
      - add Build-Profiles helper/reminder (cf d/README.source);
      - documentation composition, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 13 Oct 2016 00:34:58 +0000

cysignals (1.1.1+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #840017):
    - debian/rules, conditionalize use of --with sphinxdoc appropriately,
      thanks to Aaron M. Ucko <amu@alum.mit.edu> for the hint;
    - debian/patches/:
      - d/p/upstream-documentation-make-user_friendly_check-soften.patch,
        introduce and submitted (hidden bug);
    - debian/control, move help2man from Build-Depends-Indep to Build-Depends
      (hidden bug);
  * Debianization:
    - debian/patches/*.patch:
      - Origin field, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 08 Oct 2016 02:26:19 +0000

cysignals (1.1.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #834232).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Oct 2016 00:31:00 +0000
